---

- name: "Check interfaces really exist (OEM Information)"
  fail:
    msg: "Configured interface {{ iface.key }} has no defined MAC in Blade's OEM Information, it probably does not exist"
  when: ifaces_mac[iface.key] is undefined

- name: "Search IP address for provisioning iface {{ iface.key }} ({{ ifaces_mac[iface.key] }})"
  set_fact:
    neighbor_line: "{{ neighbor_res.stdout_lines | select('match', '.* dev vlan' + (cage_vlans['OSAS-Provisioning'].vlan_id | string) + ' lladdr ' + (ifaces_mac[iface.key] | lower) + ' .*') | list }}"

- name: Define IP address for provisioning iface
  set_fact:
    prov_iface_ip_list: "{{ prov_iface_ip_list | union([neighbor | regex_search('\\b(?:[0-9]{1,3}\\.){3}[0-9]{1,3}\\b')]) }}"
  loop: "{{ neighbor_line }}"
  loop_control:
    loop_var: neighbor

